> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/object_storage_region.md).

# ionoscloud\_object\_storage\_region

Get information on a IONOS CLOUD Object Storage Region

The **Object storage region data source** can be used to search for and return an existing S3 Regions.

## Example Usage

### By ID

```hcl
data "ionoscloud_object_storage_region" "example" {
  id       = "region_id"
}
```

## Argument Reference

* `id` - (Required) Id of an existing object storage Region that you want to search for.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The id of the region
* `version` - The version of the region properties
* `endpoint` - The endpoint URL for the region
* `website` - The website URL for the region
* `storage_classes` - The available classes in the region
* `location` - The data center location of the region as per [Get Location](https://api.ionos.com/docs/cloud/v6/#tag/Locations/operation/locationsGet). *Can't be used as `LocationConstraint` on bucket creation.*
* `capability` - The capabilities of the region
  * `iam` - Indicates if IAM policy based access is supported
  * `s3select` - Indicates if S3 Select is supported

> **⚠ WARNING:** `IONOS_API_URL_OBJECT_STORAGE_MANAGEMENT` can be used to set a custom API URL for the Object Storage Management SDK. Setting `endpoint` or `IONOS_API_URL` does not have any effect


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/object_storage_region.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
